Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.event
Enum ServerProjectEvent.ServerEventTypes

    java.lang.Object
      java.lang.Enum<ServerProjectEvent.ServerEventTypes>
          edu.stanford.smi.protege.event.ServerProjectEvent.ServerEventTypes

All Implemented Interfaces:
  Serializable, Comparable<ServerProjectEvent.ServerEventTypes>

Enclosing interface:
  ServerProjectEvent

    public static enum ServerProjectEvent.ServerEventTypes

extends Enum<ServerProjectEvent.ServerEventTypes>

Enum Constant Summary
`PROJECT_NOTIFICATION_EVENT`
`PROJECT_STATUS_CHANGE_EVENT`

Method Summary
`int` | `getTypeAsInt()`
`static ServerProjectEvent.ServerEventTypes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ServerProjectEvent.ServerEventTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PROJECT_NOTIFICATION_EVENT

    public static final ServerProjectEvent.ServerEventTypes PROJECT_NOTIFICATION_EVENT

### PROJECT_STATUS_CHANGE_EVENT

    public static final ServerProjectEvent.ServerEventTypes PROJECT_STATUS_CHANGE_EVENT

Method Detail

### values

    public static final ServerProjectEvent.ServerEventTypes[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ServerProjectEvent.ServerEventTypes c : ServerProjectEvent.ServerEventTypes.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ServerProjectEvent.ServerEventTypes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getTypeAsInt

    public int getTypeAsInt()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.